Revoke an activation connect link
Revokes an activation Connect Link so that it can no longer be used. Read more on how to use Connect Links in our Activations in Powered by Fivetran How-to Guides.
Request schema
Path parameters
ID of the connect link
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
POST /api/v2/activation_connect_links/{connect_link_id}/revoke HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Outcome of the operation.
The unique ID associated with the Connect Link.
The type of activation connection to be managed by this link. A valid type is the service_name of a connector returned from the /activation_types endpoint, where the connector is marked as creatable_via_connect_link.
The date and time when the Connect Link will expire.
A boolean value indicating whether the Connect Link has expired or not. Expiration settings can be adjusted in the Organization Dashboard.
A boolean value indicating whether the Connect Link has been revoked or not.
The authorization url that you will provide to end-users that begins the Census-hosted flow to authorize an activation into your workspace. This is null once the Connect Link has expired or been revoked.
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this url. The redirect URI can be configured globally under your organization settings in the Census UI or on dynamically via the API when creating a Connect Link.
The unique identifier of the group associated with this Connect Link.
401
HTTP status code.
404
HTTP status code.
{ "status": "success", "data": { "id": 469, "type": "hubspot", "expiration": "2023-07-22T23:42:47.239Z", "expired": false, "revoked": false, "uri": "https://app.getcensus.com/pbc?auth=expiring_auth_key", "redirect_uri": "http://example.com", "group_id": "wandering_aimlessly" } }